Summary:                        For Easy Rule Making
Name:                           ferm
Version:                        2.7
Release:                        1%{?dist}
License:                        GPLv2+
Source:                         https://github.com/MaxKellermann/%{name}/archive/refs/tags/v%{version}.tar.gz
URL:                            http://ferm.foo-projects.org/
BuildArchitectures:             noarch

BuildRequires:                  make
BuildRequires:                  perl-generators
BuildRequires:                  perl(Data::Dumper)
BuildRequires:                  perl(File::Spec)
BuildRequires:                  perl-Pod-Html
BuildRequires:                  systemd

Requires(post):                 systemd
Requires(preun):                systemd
Requires(postun):               systemd

%description
Ferm is a tool to maintain complex firewalls, without having the
trouble to rewrite the complex rules over and over again. Ferm
allows the entire firewall rule set to be stored in a separate
file, and to be loaded with one command. The firewall configuration
resembles structured programming-like language, which can contain
levels and lists.

%prep
%setup -q

%build

%install
make install PREFIX=$RPM_BUILD_ROOT%{_prefix} DOCDIR=$RPM_BUILD_ROOT%{_pkgdocdir} MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1
sed 's|@prefix@|%{_prefix}|g' ferm.service.in > ferm.service
sed -i 's|/etc/ferm.conf|/etc/ferm/ferm.conf|' ferm.service
sed -i '/^\[Unit\]$/a Wants=iptables.service ip6tables.service\nAfter=iptables.service ip6tables.service' ferm.service
install -d -m 755 $RPM_BUILD_ROOT%{_unitdir}
install -m 644 ferm.service $RPM_BUILD_ROOT%{_unitdir}/%{name}.service

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license COPYING
%{_pkgdocdir}
%{_mandir}/man1/*
%{_unitdir}/%{name}.service
/usr/sbin/ferm
/usr/sbin/import-ferm

%changelog
* Tue Jun 25 2024 smallcms smallcms <smallcms@gmail.com> - 2.7.0-1
- Update to 2.7
